automation-suite
2024.10
false
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs

Automation Suite API guide
Last updated Feb 28, 2026
Update Robot Account
Updates the information about the specified robot account.
API Endpoint
PUT https://{yourDomain}/{organizationName}/identity_/api/Setting
Scopes
Requires the following scopes:
- PM.RobotAccount
- PM.RobotAccount.Write
Request Headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described here.
Path Parameters
| Param | Data type | Description |
|---|---|---|
robotAccountId (required) | String | The Id of the robot account you want to update. |
Request Body
The request body contains the organization ID the robot account belongs to, and the information you want to update, such as group memberships.
{
"partitionGlobalId": "string",
"displayName": "string",
"groupIDsToAdd": [
"string"
],
"groupIDsToRemove": [
"string"
]
}
{
"partitionGlobalId": "string",
"displayName": "string",
"groupIDsToAdd": [
"string"
],
"groupIDsToRemove": [
"string"
]
}
Responses
200 OK
The custom group is updated with the information you provided.
Example Request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is:https://{yourDomain}/{organizationName}/{tenantName}/ - Your
{access_token}is:1234(for length considerations). - The
{partitionGlobalId}is:magic-7 - You want to assign the robot account with the ID
88-uvto the group IDalumni-02.
The call should resemble the following example (cURL):
curl --location --request PUT 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/88-uv' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "magic-7",
"displayName": "Roby",
"groupIDsToAdd": [
"alumni-02"
],
"groupIDsToRemove": []
}'
curl --location --request PUT 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/88-uv' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "magic-7",
"displayName": "Roby",
"groupIDsToAdd": [
"alumni-02"
],
"groupIDsToRemove": []
}'
Here is the response for a successful call:
{
"id": "88-uv",
"name": "Roby",
"displayName": "Roby",
"creationTime": "2021-10-20T12:16:16.6492925",
"lastLoginTime": null,
"groupIds": [
"alumni-02",
"gryff-01"
]
}
{
"id": "88-uv",
"name": "Roby",
"displayName": "Roby",
"creationTime": "2021-10-20T12:16:16.6492925",
"lastLoginTime": null,
"groupIds": [
"alumni-02",
"gryff-01"
]
}